OGRE-Next: Ogre::v1::IndexData Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::v1::IndexData Class Reference
Core » RenderSystem

Summary class collecting together index data source information. More...

`#include <OgreVertexIndexData.h>`

Inheritance diagram for Ogre::v1::IndexData:
[legend]

## Public Member Functions
| IndexData ()
| ~IndexData ()
IndexData * | clone (bool copyData=true, HardwareBufferManagerBase *mgr=0) const
| Clones this index data, potentially including replicating the index buffer.
void | optimiseVertexCacheTriList ()
| Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

## Public Attributes
HardwareIndexBufferSharedPtr | indexBuffer
| Pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true.
size_t | indexCount
| The number of indexes to use from the buffer.
size_t | indexStart
| Index in the buffer to start from for this operation.

## Detailed Description

Summary class collecting together index data source information.

## Constructor & Destructor Documentation

## ◆ IndexData()

Ogre::v1::IndexData::IndexData | ( |  | ) |

## ◆ ~IndexData()

Ogre::v1::IndexData::~IndexData | ( |  | ) |

## Member Function Documentation

## ◆ clone()

IndexData * Ogre::v1::IndexData::clone | ( | bool | copyData = true,
|  | HardwareBufferManagerBase * | mgr = 0 ) const

Clones this index data, potentially including replicating the index buffer.

Parameters

  copyData | Whether to create new buffers too or just reference the existing ones
  mgr | If supplied, the buffer manager through which copies should be made

Remarks
  The caller is expected to delete the returned pointer when finished

## ◆ optimiseVertexCacheTriList()

void Ogre::v1::IndexData::optimiseVertexCacheTriList | ( |  | ) |

Re-order the indexes in this index data structure to be more vertex cache friendly; that is to re-use the same vertices as close together as possible.

Remarks
  Can only be used for index data which consists of triangle lists. It would in fact be pointless to use it on triangle strips or fans in any case.

## Member Data Documentation

## ◆ indexBuffer

HardwareIndexBufferSharedPtr Ogre::v1::IndexData::indexBuffer

Pointer to the HardwareIndexBuffer to use, must be specified if useIndexes = true.

Referenced by Ogre::VerticesRemapInfo::markUsedIndices(), and Ogre::VerticesRemapInfo::performIndexDataRemap().

## ◆ indexCount

size_t Ogre::v1::IndexData::indexCount

The number of indexes to use from the buffer.

Referenced by Ogre::VerticesRemapInfo::markUsedIndices(), and Ogre::VerticesRemapInfo::performIndexDataRemap().

## ◆ indexStart

size_t Ogre::v1::IndexData::indexStart

Index in the buffer to start from for this operation.

Referenced by Ogre::VerticesRemapInfo::markUsedIndices(), and Ogre::VerticesRemapInfo::performIndexDataRemap().

The documentation for this class was generated from the following file:

- OgreVertexIndexData.h